# Update a content rule Updates an existing rule's conditions, actions, or priority. Request: rule - An UpdateRule payload identifying the rule by ID and providing the replacement conditions, actions, and/or priority. Response: rule - The full Rule object reflecting the applied updates. Endpoint: POST /api/v1/rule/update-rule Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `rule` (object) - `rule.id` (string) Rule data fields - `rule.name` (string) Rule data fields - `rule.conditions` (object) - `rule.conditions.matchType` (integer) Enum: 0, 1, 2 - `rule.actions` (object) - `rule.priority` (integer) ## Response 200 fields (application/json): - `rule` (object) - `rule.id` (string) Rule data fields - `rule.name` (string) Rule data fields - `rule.enabled` (boolean) - `rule.conditions` (object) - `rule.conditions.matchType` (integer) Enum: 0, 1, 2 - `rule.actions` (object) - `rule.priority` (integer) - `rule.createdDt` (object) - `rule.createdDt.seconds` (integer) - `rule.createdDt.nanos` (integer) - `rule.updatedDt` (object) - `rule.validationError` (string) Rule data fields ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)